package ${basePackage}.action.api.system;

import ${basePackage}.frame.auth.LocalData;
import ${basePackage}.module.system.mgr.RoleManager;
import ${basePackage}.module.system.req.*;
import ${basePackage}.module.system.rsp.*;
import org.springframework.beans.factory.annotation.Autowired;

public class RoleApi{

    @Autowired
    private RoleManager roleManager;

    public RoleCreateResponse create(RoleCreateRequest request) {
        return roleManager.create(request, LocalData.getToken());
    }

    public RoleDeleteResponse delete(RoleDeleteRequest request) {
        return roleManager.delete(request, LocalData.getToken());
    }

    public RoleUpdateResponse update(RoleUpdateRequest request) {
        return roleManager.update(request, LocalData.getToken());
    }

    public RoleFindResponse find(RoleFindRequest request) {
        return roleManager.find(request, LocalData.getToken());
    }

    public RoleGetResponse get(RoleGetRequest request) {
        return roleManager.get(request, LocalData.getToken());
    }
}
